# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-06-25 17:27
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='App',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='\u540d\u5b57')),
                ('title', models.CharField(max_length=64, unique=True, verbose_name='\u6807\u9898')),
                ('status', models.PositiveSmallIntegerField(choices=[(0, '\u672a\u5b89\u88c5'), (1, '\u5df2\u5b89\u88c5')], default=1, verbose_name='\u72b6\u6001')),
                ('settings', xyz_util.modelutils.JSONField(blank=True, default={}, verbose_name='\u914d\u7f6e\u4fe1\u606f')),
                ('settings_meta', xyz_util.modelutils.JSONField(blank=True, default={}, verbose_name='\u914d\u7f6e\u5b9a\u4e49')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
            ],
            options={
                'verbose_name': '\u5e94\u7528',
                'verbose_name_plural': '\u5e94\u7528',
            },
        ),
        migrations.CreateModel(
            name='Master',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='as_saas_master', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': '\u7ba1\u7406\u5458',
                'verbose_name_plural': '\u7ba1\u7406\u5458',
            },
        ),
        migrations.CreateModel(
            name='Party',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='\u540d\u79f0')),
                ('logo', models.URLField(blank=True, null=True, verbose_name='\u6807\u8bc6\u56feUrl')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
            ],
            options={
                'verbose_name': '\u56e2\u4f53',
                'verbose_name_plural': '\u56e2\u4f53',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='\u540d\u5b57')),
                ('permissions', xyz_util.modelutils.JSONField(blank=True, default={}, verbose_name='\u6743\u9650')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('users', models.ManyToManyField(blank=True, related_name='saas_roles', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': '\u89d2\u8272',
                'verbose_name_plural': '\u89d2\u8272',
            },
        ),
    ]
